Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.bsh
Class Remote

    java.lang.Object
      org.gjt.sp.jedit.bsh.Remote

    public class Remote

extends java.lang.Object

Remote executor class. Posts a script from the command line to a BshServlet or embedded interpreter using (respectively) HTTP or the bsh telnet service. Output is printed to stdout and a numeric return value is scraped from the result.

Constructor Summary
`Remote()`

Method Summary
`static int` | `eval(java.lang.String url, java.lang.String text)` Evaluate text in the interpreter at url, returning a possible integer return value.
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Remote

    public Remote()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### eval

    public static int eval(java.lang.String url,
                           java.lang.String text)
                    throws java.io.IOException

  Evaluate text in the interpreter at url, returning a possible integer return value.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD